import { Toolbar, ToolbarItem } from '..';
import { AnnotationFreeText } from './annotation-free-text';
import { AnnotationHighlight } from './annotation-highlight';
import { AnnotationInk } from './annotation-ink';
export declare class Annotation extends ToolbarItem {
    protected freeText: AnnotationFreeText;
    protected highlight: AnnotationHighlight;
    protected ink: AnnotationInk;
    setToolbar(toolbar: Toolbar): void;
    initialize(): Promise<void>;
    terminate(): Promise<void>;
    render(): HTMLDivElement;
}
